Query summaries
curl --request POST \
--url https://sandbox.tight.com/v6/summaries/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "<string>",
"limit": 123,
"sort": {
"orderBy": "DATE"
},
"filter": {
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"status": {
"in": [],
"notIn": []
},
"company": {
"in": [
"co_123",
"co_456"
]
}
}
}
'import requests
url = "https://sandbox.tight.com/v6/summaries/query"
payload = {
"cursor": "<string>",
"limit": 123,
"sort": { "orderBy": "DATE" },
"filter": {
"date": {
"equal": "2023-12-25",
"notEqual": "2023-12-25",
"greaterThan": "2023-12-25",
"greaterThanEqual": "2023-12-25",
"lessThan": "2023-12-25",
"lessThanEqual": "2023-12-25"
},
"status": {
"in": [],
"notIn": []
},
"company": { "in": ["co_123", "co_456"] }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cursor: '<string>',
limit: 123,
sort: {orderBy: 'DATE'},
filter: {
date: {
equal: '2023-12-25',
notEqual: '2023-12-25',
greaterThan: '2023-12-25',
greaterThanEqual: '2023-12-25',
lessThan: '2023-12-25',
lessThanEqual: '2023-12-25'
},
status: {in: [], notIn: []},
company: {in: ['co_123', 'co_456']}
}
})
};
fetch('https://sandbox.tight.com/v6/summaries/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sum_123456789",
"summary": "Monthly financial summary for January 2024",
"date": "2025-01-01",
"status": "ACTIVE",
"conversation": {
"id": "<string>"
},
"company": {
"id": "co_123456",
"name": "ACME Corp"
}
}
],
"cursor": {
"after": "<string>",
"before": "<string>"
}
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Summaries
Query summaries
Query summaries for the authenticated user
POST
/
v6
/
summaries
/
query
Query summaries
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Response
Success
The result of the action performed.
Available options:
SUCCESS, FAILURE The data generated by the action performed.
Show child attributes
Show child attributes
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Show child attributes
Show child attributes
⌘I